# Generated from blake2b-0.10.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name blake2b

Name: rubygem-%{gem_name}
Version: 0.10.0
Release: 1%{?dist}
Summary: A cryptographic hash function faster than MD5, SHA-1, SHA-2, and SHA-3 for 64-bit systems
License: GPL-3.0
URL: https://github.com/mgomes/blake2b
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel >= 2.1.0
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(rake-compiler) >= 0.9
# BuildRequires: rubygem(rake-compiler) < 1
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6

%description
A cryptographic hash function faster than MD5, SHA-1, SHA-2, and SHA-3 for
64-bit systems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/performance
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/blake2b.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.10.0-1
- Initial package
